Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network80.150.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
80.150.0.0
Broadcast address
80.150.255.255
First usable
80.150.0.1
Last usable
80.150.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
A (default /8)
As numbers
Hex 50960000 · Integer 1352007680 to 1352073215
Reverse DNS zone
150.80.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01010000.10010110..00000000.0000000080.150.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network01010000.10010110..00000000.0000000080.150.0.0
Broadcast01010000.10010110..11111111.1111111180.150.255.255
Split into smaller subnets/26

80.150.0.0/16 makes 1,024 subnets of /26; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
180.150.0.0/2680.150.0.1 to 80.150.0.6280.150.0.6362
280.150.0.64/2680.150.0.65 to 80.150.0.12680.150.0.12762
380.150.0.128/2680.150.0.129 to 80.150.0.19080.150.0.19162
480.150.0.192/2680.150.0.193 to 80.150.0.25480.150.0.25562
580.150.1.0/2680.150.1.1 to 80.150.1.6280.150.1.6362
680.150.1.64/2680.150.1.65 to 80.150.1.12680.150.1.12762
780.150.1.128/2680.150.1.129 to 80.150.1.19080.150.1.19162
880.150.1.192/2680.150.1.193 to 80.150.1.25480.150.1.25562
980.150.2.0/2680.150.2.1 to 80.150.2.6280.150.2.6362
1080.150.2.64/2680.150.2.65 to 80.150.2.12680.150.2.12762
1180.150.2.128/2680.150.2.129 to 80.150.2.19080.150.2.19162
1280.150.2.192/2680.150.2.193 to 80.150.2.25480.150.2.25562
1380.150.3.0/2680.150.3.1 to 80.150.3.6280.150.3.6362
1480.150.3.64/2680.150.3.65 to 80.150.3.12680.150.3.12762
1580.150.3.128/2680.150.3.129 to 80.150.3.19080.150.3.19162
1680.150.3.192/2680.150.3.193 to 80.150.3.25480.150.3.25562
1780.150.4.0/2680.150.4.1 to 80.150.4.6280.150.4.6362
1880.150.4.64/2680.150.4.65 to 80.150.4.12680.150.4.12762
1980.150.4.128/2680.150.4.129 to 80.150.4.19080.150.4.19162
2080.150.4.192/2680.150.4.193 to 80.150.4.25480.150.4.25562
2180.150.5.0/2680.150.5.1 to 80.150.5.6280.150.5.6362
2280.150.5.64/2680.150.5.65 to 80.150.5.12680.150.5.12762
2380.150.5.128/2680.150.5.129 to 80.150.5.19080.150.5.19162
2480.150.5.192/2680.150.5.193 to 80.150.5.25480.150.5.25562
2580.150.6.0/2680.150.6.1 to 80.150.6.6280.150.6.6362
2680.150.6.64/2680.150.6.65 to 80.150.6.12680.150.6.12762
2780.150.6.128/2680.150.6.129 to 80.150.6.19080.150.6.19162
2880.150.6.192/2680.150.6.193 to 80.150.6.25480.150.6.25562
2980.150.7.0/2680.150.7.1 to 80.150.7.6280.150.7.6362
3080.150.7.64/2680.150.7.65 to 80.150.7.12680.150.7.12762
3180.150.7.128/2680.150.7.129 to 80.150.7.19080.150.7.19162
3280.150.7.192/2680.150.7.193 to 80.150.7.25480.150.7.25562
3380.150.8.0/2680.150.8.1 to 80.150.8.6280.150.8.6362
3480.150.8.64/2680.150.8.65 to 80.150.8.12680.150.8.12762
3580.150.8.128/2680.150.8.129 to 80.150.8.19080.150.8.19162
3680.150.8.192/2680.150.8.193 to 80.150.8.25480.150.8.25562
3780.150.9.0/2680.150.9.1 to 80.150.9.6280.150.9.6362
3880.150.9.64/2680.150.9.65 to 80.150.9.12680.150.9.12762
3980.150.9.128/2680.150.9.129 to 80.150.9.19080.150.9.19162
4080.150.9.192/2680.150.9.193 to 80.150.9.25480.150.9.25562
4180.150.10.0/2680.150.10.1 to 80.150.10.6280.150.10.6362
4280.150.10.64/2680.150.10.65 to 80.150.10.12680.150.10.12762
4380.150.10.128/2680.150.10.129 to 80.150.10.19080.150.10.19162
4480.150.10.192/2680.150.10.193 to 80.150.10.25480.150.10.25562
4580.150.11.0/2680.150.11.1 to 80.150.11.6280.150.11.6362
4680.150.11.64/2680.150.11.65 to 80.150.11.12680.150.11.12762
4780.150.11.128/2680.150.11.129 to 80.150.11.19080.150.11.19162
4880.150.11.192/2680.150.11.193 to 80.150.11.25480.150.11.25562
4980.150.12.0/2680.150.12.1 to 80.150.12.6280.150.12.6362
5080.150.12.64/2680.150.12.65 to 80.150.12.12680.150.12.12762
5180.150.12.128/2680.150.12.129 to 80.150.12.19080.150.12.19162
5280.150.12.192/2680.150.12.193 to 80.150.12.25480.150.12.25562
5380.150.13.0/2680.150.13.1 to 80.150.13.6280.150.13.6362
5480.150.13.64/2680.150.13.65 to 80.150.13.12680.150.13.12762
5580.150.13.128/2680.150.13.129 to 80.150.13.19080.150.13.19162
5680.150.13.192/2680.150.13.193 to 80.150.13.25480.150.13.25562
5780.150.14.0/2680.150.14.1 to 80.150.14.6280.150.14.6362
5880.150.14.64/2680.150.14.65 to 80.150.14.12680.150.14.12762
5980.150.14.128/2680.150.14.129 to 80.150.14.19080.150.14.19162
6080.150.14.192/2680.150.14.193 to 80.150.14.25480.150.14.25562
6180.150.15.0/2680.150.15.1 to 80.150.15.6280.150.15.6362
6280.150.15.64/2680.150.15.65 to 80.150.15.12680.150.15.12762
6380.150.15.128/2680.150.15.129 to 80.150.15.19080.150.15.19162
6480.150.15.192/2680.150.15.193 to 80.150.15.25480.150.15.25562
6580.150.16.0/2680.150.16.1 to 80.150.16.6280.150.16.6362
6680.150.16.64/2680.150.16.65 to 80.150.16.12680.150.16.12762
6780.150.16.128/2680.150.16.129 to 80.150.16.19080.150.16.19162
6880.150.16.192/2680.150.16.193 to 80.150.16.25480.150.16.25562
6980.150.17.0/2680.150.17.1 to 80.150.17.6280.150.17.6362
7080.150.17.64/2680.150.17.65 to 80.150.17.12680.150.17.12762
7180.150.17.128/2680.150.17.129 to 80.150.17.19080.150.17.19162
7280.150.17.192/2680.150.17.193 to 80.150.17.25480.150.17.25562
7380.150.18.0/2680.150.18.1 to 80.150.18.6280.150.18.6362
7480.150.18.64/2680.150.18.65 to 80.150.18.12680.150.18.12762
7580.150.18.128/2680.150.18.129 to 80.150.18.19080.150.18.19162
7680.150.18.192/2680.150.18.193 to 80.150.18.25480.150.18.25562
7780.150.19.0/2680.150.19.1 to 80.150.19.6280.150.19.6362
7880.150.19.64/2680.150.19.65 to 80.150.19.12680.150.19.12762
7980.150.19.128/2680.150.19.129 to 80.150.19.19080.150.19.19162
8080.150.19.192/2680.150.19.193 to 80.150.19.25480.150.19.25562
8180.150.20.0/2680.150.20.1 to 80.150.20.6280.150.20.6362
8280.150.20.64/2680.150.20.65 to 80.150.20.12680.150.20.12762
8380.150.20.128/2680.150.20.129 to 80.150.20.19080.150.20.19162
8480.150.20.192/2680.150.20.193 to 80.150.20.25480.150.20.25562
8580.150.21.0/2680.150.21.1 to 80.150.21.6280.150.21.6362
8680.150.21.64/2680.150.21.65 to 80.150.21.12680.150.21.12762
8780.150.21.128/2680.150.21.129 to 80.150.21.19080.150.21.19162
8880.150.21.192/2680.150.21.193 to 80.150.21.25480.150.21.25562
8980.150.22.0/2680.150.22.1 to 80.150.22.6280.150.22.6362
9080.150.22.64/2680.150.22.65 to 80.150.22.12680.150.22.12762
9180.150.22.128/2680.150.22.129 to 80.150.22.19080.150.22.19162
9280.150.22.192/2680.150.22.193 to 80.150.22.25480.150.22.25562
9380.150.23.0/2680.150.23.1 to 80.150.23.6280.150.23.6362
9480.150.23.64/2680.150.23.65 to 80.150.23.12680.150.23.12762
9580.150.23.128/2680.150.23.129 to 80.150.23.19080.150.23.19162
9680.150.23.192/2680.150.23.193 to 80.150.23.25480.150.23.25562
9780.150.24.0/2680.150.24.1 to 80.150.24.6280.150.24.6362
9880.150.24.64/2680.150.24.65 to 80.150.24.12680.150.24.12762
9980.150.24.128/2680.150.24.129 to 80.150.24.19080.150.24.19162
10080.150.24.192/2680.150.24.193 to 80.150.24.25480.150.24.25562
10180.150.25.0/2680.150.25.1 to 80.150.25.6280.150.25.6362
10280.150.25.64/2680.150.25.65 to 80.150.25.12680.150.25.12762
10380.150.25.128/2680.150.25.129 to 80.150.25.19080.150.25.19162
10480.150.25.192/2680.150.25.193 to 80.150.25.25480.150.25.25562
10580.150.26.0/2680.150.26.1 to 80.150.26.6280.150.26.6362
10680.150.26.64/2680.150.26.65 to 80.150.26.12680.150.26.12762
10780.150.26.128/2680.150.26.129 to 80.150.26.19080.150.26.19162
10880.150.26.192/2680.150.26.193 to 80.150.26.25480.150.26.25562
10980.150.27.0/2680.150.27.1 to 80.150.27.6280.150.27.6362
11080.150.27.64/2680.150.27.65 to 80.150.27.12680.150.27.12762
11180.150.27.128/2680.150.27.129 to 80.150.27.19080.150.27.19162
11280.150.27.192/2680.150.27.193 to 80.150.27.25480.150.27.25562
11380.150.28.0/2680.150.28.1 to 80.150.28.6280.150.28.6362
11480.150.28.64/2680.150.28.65 to 80.150.28.12680.150.28.12762
11580.150.28.128/2680.150.28.129 to 80.150.28.19080.150.28.19162
11680.150.28.192/2680.150.28.193 to 80.150.28.25480.150.28.25562
11780.150.29.0/2680.150.29.1 to 80.150.29.6280.150.29.6362
11880.150.29.64/2680.150.29.65 to 80.150.29.12680.150.29.12762
11980.150.29.128/2680.150.29.129 to 80.150.29.19080.150.29.19162
12080.150.29.192/2680.150.29.193 to 80.150.29.25480.150.29.25562
12180.150.30.0/2680.150.30.1 to 80.150.30.6280.150.30.6362
12280.150.30.64/2680.150.30.65 to 80.150.30.12680.150.30.12762
12380.150.30.128/2680.150.30.129 to 80.150.30.19080.150.30.19162
12480.150.30.192/2680.150.30.193 to 80.150.30.25480.150.30.25562
12580.150.31.0/2680.150.31.1 to 80.150.31.6280.150.31.6362
12680.150.31.64/2680.150.31.65 to 80.150.31.12680.150.31.12762
12780.150.31.128/2680.150.31.129 to 80.150.31.19080.150.31.19162
12880.150.31.192/2680.150.31.193 to 80.150.31.25480.150.31.25562
12980.150.32.0/2680.150.32.1 to 80.150.32.6280.150.32.6362
13080.150.32.64/2680.150.32.65 to 80.150.32.12680.150.32.12762
13180.150.32.128/2680.150.32.129 to 80.150.32.19080.150.32.19162
13280.150.32.192/2680.150.32.193 to 80.150.32.25480.150.32.25562
13380.150.33.0/2680.150.33.1 to 80.150.33.6280.150.33.6362
13480.150.33.64/2680.150.33.65 to 80.150.33.12680.150.33.12762
13580.150.33.128/2680.150.33.129 to 80.150.33.19080.150.33.19162
13680.150.33.192/2680.150.33.193 to 80.150.33.25480.150.33.25562
13780.150.34.0/2680.150.34.1 to 80.150.34.6280.150.34.6362
13880.150.34.64/2680.150.34.65 to 80.150.34.12680.150.34.12762
13980.150.34.128/2680.150.34.129 to 80.150.34.19080.150.34.19162
14080.150.34.192/2680.150.34.193 to 80.150.34.25480.150.34.25562
14180.150.35.0/2680.150.35.1 to 80.150.35.6280.150.35.6362
14280.150.35.64/2680.150.35.65 to 80.150.35.12680.150.35.12762
14380.150.35.128/2680.150.35.129 to 80.150.35.19080.150.35.19162
14480.150.35.192/2680.150.35.193 to 80.150.35.25480.150.35.25562
14580.150.36.0/2680.150.36.1 to 80.150.36.6280.150.36.6362
14680.150.36.64/2680.150.36.65 to 80.150.36.12680.150.36.12762
14780.150.36.128/2680.150.36.129 to 80.150.36.19080.150.36.19162
14880.150.36.192/2680.150.36.193 to 80.150.36.25480.150.36.25562
14980.150.37.0/2680.150.37.1 to 80.150.37.6280.150.37.6362
15080.150.37.64/2680.150.37.65 to 80.150.37.12680.150.37.12762
15180.150.37.128/2680.150.37.129 to 80.150.37.19080.150.37.19162
15280.150.37.192/2680.150.37.193 to 80.150.37.25480.150.37.25562
15380.150.38.0/2680.150.38.1 to 80.150.38.6280.150.38.6362
15480.150.38.64/2680.150.38.65 to 80.150.38.12680.150.38.12762
15580.150.38.128/2680.150.38.129 to 80.150.38.19080.150.38.19162
15680.150.38.192/2680.150.38.193 to 80.150.38.25480.150.38.25562
15780.150.39.0/2680.150.39.1 to 80.150.39.6280.150.39.6362
15880.150.39.64/2680.150.39.65 to 80.150.39.12680.150.39.12762
15980.150.39.128/2680.150.39.129 to 80.150.39.19080.150.39.19162
16080.150.39.192/2680.150.39.193 to 80.150.39.25480.150.39.25562
16180.150.40.0/2680.150.40.1 to 80.150.40.6280.150.40.6362
16280.150.40.64/2680.150.40.65 to 80.150.40.12680.150.40.12762
16380.150.40.128/2680.150.40.129 to 80.150.40.19080.150.40.19162
16480.150.40.192/2680.150.40.193 to 80.150.40.25480.150.40.25562
16580.150.41.0/2680.150.41.1 to 80.150.41.6280.150.41.6362
16680.150.41.64/2680.150.41.65 to 80.150.41.12680.150.41.12762
16780.150.41.128/2680.150.41.129 to 80.150.41.19080.150.41.19162
16880.150.41.192/2680.150.41.193 to 80.150.41.25480.150.41.25562
16980.150.42.0/2680.150.42.1 to 80.150.42.6280.150.42.6362
17080.150.42.64/2680.150.42.65 to 80.150.42.12680.150.42.12762
17180.150.42.128/2680.150.42.129 to 80.150.42.19080.150.42.19162
17280.150.42.192/2680.150.42.193 to 80.150.42.25480.150.42.25562
17380.150.43.0/2680.150.43.1 to 80.150.43.6280.150.43.6362
17480.150.43.64/2680.150.43.65 to 80.150.43.12680.150.43.12762
17580.150.43.128/2680.150.43.129 to 80.150.43.19080.150.43.19162
17680.150.43.192/2680.150.43.193 to 80.150.43.25480.150.43.25562
17780.150.44.0/2680.150.44.1 to 80.150.44.6280.150.44.6362
17880.150.44.64/2680.150.44.65 to 80.150.44.12680.150.44.12762
17980.150.44.128/2680.150.44.129 to 80.150.44.19080.150.44.19162
18080.150.44.192/2680.150.44.193 to 80.150.44.25480.150.44.25562
18180.150.45.0/2680.150.45.1 to 80.150.45.6280.150.45.6362
18280.150.45.64/2680.150.45.65 to 80.150.45.12680.150.45.12762
18380.150.45.128/2680.150.45.129 to 80.150.45.19080.150.45.19162
18480.150.45.192/2680.150.45.193 to 80.150.45.25480.150.45.25562
18580.150.46.0/2680.150.46.1 to 80.150.46.6280.150.46.6362
18680.150.46.64/2680.150.46.65 to 80.150.46.12680.150.46.12762
18780.150.46.128/2680.150.46.129 to 80.150.46.19080.150.46.19162
18880.150.46.192/2680.150.46.193 to 80.150.46.25480.150.46.25562
18980.150.47.0/2680.150.47.1 to 80.150.47.6280.150.47.6362
19080.150.47.64/2680.150.47.65 to 80.150.47.12680.150.47.12762
19180.150.47.128/2680.150.47.129 to 80.150.47.19080.150.47.19162
19280.150.47.192/2680.150.47.193 to 80.150.47.25480.150.47.25562
19380.150.48.0/2680.150.48.1 to 80.150.48.6280.150.48.6362
19480.150.48.64/2680.150.48.65 to 80.150.48.12680.150.48.12762
19580.150.48.128/2680.150.48.129 to 80.150.48.19080.150.48.19162
19680.150.48.192/2680.150.48.193 to 80.150.48.25480.150.48.25562
19780.150.49.0/2680.150.49.1 to 80.150.49.6280.150.49.6362
19880.150.49.64/2680.150.49.65 to 80.150.49.12680.150.49.12762
19980.150.49.128/2680.150.49.129 to 80.150.49.19080.150.49.19162
20080.150.49.192/2680.150.49.193 to 80.150.49.25480.150.49.25562
20180.150.50.0/2680.150.50.1 to 80.150.50.6280.150.50.6362
20280.150.50.64/2680.150.50.65 to 80.150.50.12680.150.50.12762
20380.150.50.128/2680.150.50.129 to 80.150.50.19080.150.50.19162
20480.150.50.192/2680.150.50.193 to 80.150.50.25480.150.50.25562
20580.150.51.0/2680.150.51.1 to 80.150.51.6280.150.51.6362
20680.150.51.64/2680.150.51.65 to 80.150.51.12680.150.51.12762
20780.150.51.128/2680.150.51.129 to 80.150.51.19080.150.51.19162
20880.150.51.192/2680.150.51.193 to 80.150.51.25480.150.51.25562
20980.150.52.0/2680.150.52.1 to 80.150.52.6280.150.52.6362
21080.150.52.64/2680.150.52.65 to 80.150.52.12680.150.52.12762
21180.150.52.128/2680.150.52.129 to 80.150.52.19080.150.52.19162
21280.150.52.192/2680.150.52.193 to 80.150.52.25480.150.52.25562
21380.150.53.0/2680.150.53.1 to 80.150.53.6280.150.53.6362
21480.150.53.64/2680.150.53.65 to 80.150.53.12680.150.53.12762
21580.150.53.128/2680.150.53.129 to 80.150.53.19080.150.53.19162
21680.150.53.192/2680.150.53.193 to 80.150.53.25480.150.53.25562
21780.150.54.0/2680.150.54.1 to 80.150.54.6280.150.54.6362
21880.150.54.64/2680.150.54.65 to 80.150.54.12680.150.54.12762
21980.150.54.128/2680.150.54.129 to 80.150.54.19080.150.54.19162
22080.150.54.192/2680.150.54.193 to 80.150.54.25480.150.54.25562
22180.150.55.0/2680.150.55.1 to 80.150.55.6280.150.55.6362
22280.150.55.64/2680.150.55.65 to 80.150.55.12680.150.55.12762
22380.150.55.128/2680.150.55.129 to 80.150.55.19080.150.55.19162
22480.150.55.192/2680.150.55.193 to 80.150.55.25480.150.55.25562
22580.150.56.0/2680.150.56.1 to 80.150.56.6280.150.56.6362
22680.150.56.64/2680.150.56.65 to 80.150.56.12680.150.56.12762
22780.150.56.128/2680.150.56.129 to 80.150.56.19080.150.56.19162
22880.150.56.192/2680.150.56.193 to 80.150.56.25480.150.56.25562
22980.150.57.0/2680.150.57.1 to 80.150.57.6280.150.57.6362
23080.150.57.64/2680.150.57.65 to 80.150.57.12680.150.57.12762
23180.150.57.128/2680.150.57.129 to 80.150.57.19080.150.57.19162
23280.150.57.192/2680.150.57.193 to 80.150.57.25480.150.57.25562
23380.150.58.0/2680.150.58.1 to 80.150.58.6280.150.58.6362
23480.150.58.64/2680.150.58.65 to 80.150.58.12680.150.58.12762
23580.150.58.128/2680.150.58.129 to 80.150.58.19080.150.58.19162
23680.150.58.192/2680.150.58.193 to 80.150.58.25480.150.58.25562
23780.150.59.0/2680.150.59.1 to 80.150.59.6280.150.59.6362
23880.150.59.64/2680.150.59.65 to 80.150.59.12680.150.59.12762
23980.150.59.128/2680.150.59.129 to 80.150.59.19080.150.59.19162
24080.150.59.192/2680.150.59.193 to 80.150.59.25480.150.59.25562
24180.150.60.0/2680.150.60.1 to 80.150.60.6280.150.60.6362
24280.150.60.64/2680.150.60.65 to 80.150.60.12680.150.60.12762
24380.150.60.128/2680.150.60.129 to 80.150.60.19080.150.60.19162
24480.150.60.192/2680.150.60.193 to 80.150.60.25480.150.60.25562
24580.150.61.0/2680.150.61.1 to 80.150.61.6280.150.61.6362
24680.150.61.64/2680.150.61.65 to 80.150.61.12680.150.61.12762
24780.150.61.128/2680.150.61.129 to 80.150.61.19080.150.61.19162
24880.150.61.192/2680.150.61.193 to 80.150.61.25480.150.61.25562
24980.150.62.0/2680.150.62.1 to 80.150.62.6280.150.62.6362
25080.150.62.64/2680.150.62.65 to 80.150.62.12680.150.62.12762
25180.150.62.128/2680.150.62.129 to 80.150.62.19080.150.62.19162
25280.150.62.192/2680.150.62.193 to 80.150.62.25480.150.62.25562
25380.150.63.0/2680.150.63.1 to 80.150.63.6280.150.63.6362
25480.150.63.64/2680.150.63.65 to 80.150.63.12680.150.63.12762
25580.150.63.128/2680.150.63.129 to 80.150.63.19080.150.63.19162
25680.150.63.192/2680.150.63.193 to 80.150.63.25480.150.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses